Bug 193074 - nss-debuginfo contains no debug info for shared libraries
nss-debuginfo contains no debug info for shared libraries
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie)
Depends On: 197317
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-05-24 18:36 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-03 11:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-05-24 18:36:51 EDT
Description of problem:
The nss-debuginfo package doesn't contain debug data for the shared libraries.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Build an application with libnss3.
2. Attempt to debug the application.
3. The debugger won't find the data it needs.
Additional info:
The buildroot policy script which extracts debug information for inclusion in
the debuginfo package only examines ELF files with the execute bit set.  The
%install portion of the .spec file installs the shared libraries with mode 0644,
so the policy script skips over them.  Installing the shared libraries with mode
0755 during %install fixes the problem.
Comment 1 Kai Engert (:kaie) 2006-07-02 17:20:19 EDT
nss-3.11.2-1 should appear soon on the rawhide download server, which contains a
fix for thix bug

Note You need to log in before you can comment on or make changes to this bug.